Fix: Use pyenv for PyPI verify jobs
[releng/global-jjb.git] / shell / tox-install.sh
index 9e50ead..5e527b3 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
 ##############################################################################
 echo "---> tox-install.sh"
 
-# Ensure we fail the job if any steps fail.
-# DO NOT set -u as virtualenv's activate script has unbound variables
-set -e -o pipefail
+# Ensure we fail the job if any steps fail or variables are missing.
+# Use -x to show value of $PYTHON in output
+set -eux -o pipefail
 
-virtualenv --quiet -p "$PYTHON_VERSION" "/tmp/v/tox"
-# shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
-source "/tmp/v/tox/bin/activate"
-pip install --quiet --upgrade "pip==9.0.3" setuptools
-pip install --quiet --upgrade argparse detox "tox<3.0.0" tox-pyenv
+# shellcheck disable=SC1090
+source ~/lf-env.sh
 
-echo "----> pip freeze"
-pip freeze
+lf-activate-venv --python python3.8 --venv-file /tmp/.toxenv tox tox-pyenv virtualenv
+
+# installs are silent, show version details in log
+$PYTHON --version
+$PYTHON -m pip --version
+$PYTHON -m pip freeze